module.exports = {
  parser: '@typescript-eslint/parser',
  extends: [
    'plugin:@typescript-eslint/recommended',
    'plugin:react/recommended',
    'plugin:prettier/recommended',
    'prettier',
  ],
  plugins: ['@typescript-eslint'],
  env: {
    node: true,
  },
  parserOptions: {
    ecmaVersion: 2020,
    ecmaFeatures: {
      legacyDecorators: true,
    },
  },
  rules: {
    'react/display-name': 0,
    'react/require-default-props': 0,
    'no-restricted-syntax': 0,
    'import/prefer-default-export': 0,
    'import/no-named-as-default': 0,
    'import/named': 0,
    '@typescript-eslint/no-explicit-any': 0,
    '@typescript-eslint/explicit-module-boundary-types': 0,
    '@typescript-eslint/explicit-function-return-type': 0,
    '@typescript-eslint/ban-ts-comment': 0,
    '@typescript-eslint/ban-ts-ignore': 0,
    '@typescript-eslint/ban-types': 0,
    '@typescript-eslint/no-var-requires': 0,
    '@typescript-eslint/no-unused-vars': 'warn',
    '@typescript-eslint/no-use-before-define': ['error', { variables: false, functions: false }],
    'space-before-function-paren': 0,
    'no-plusplus': 0,
    'react/prop-types': 'off',
    'react/jsx-handler-names': 0,
    'react/jsx-fragments': 0,
    'react/react-in-jsx-scope': 'off',
    'react/no-unused-prop-types': 0,
    'react/jsx-props-no-spreading': 0,
    'react/static-property-placement': 0,
    'react/no-array-index-key': 0,
    'arrow-parens': 1,
    '@typescript-eslint/no-shadow': 'off',
    'no-useless-return': 'off',
    'import/no-extraneous-dependencies': 'off',
  },
}
